%define	webroot	%{_var}/www/html

Name:		tikiwiki-mapdata
Version: 	0.1
Release:	%mkrel 7
Summary:	Data for the maps in Tikiwiki
Source:		http://tikiwiki.org/dist/%{name}-%{version}.tar.bz2
URL:		http://tikiwiki.org/
License:	Public Domain
Group:		Sciences/Geosciences
Requires:	webserver tikiwiki mapserver-php tmpwatch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: 	noarch

%description
This data is to be used with tikiwiki and the mapserver-php extension.
It creates a default world map in tikiwiki.
The data comes from various sources but notably:
-NOAA NGDC center
-mappinghacks
This data is freely redistributable provided the custodian is cited.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{webroot}/map/
mkdir -p %{buildroot}%{webroot}/map/data/
mkdir -p %{buildroot}%{webroot}/map/data/world/
mkdir -p %{buildroot}%{webroot}/map/images/

mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d/
mkdir -p %{buildroot}%{_sysconfdir}/cron.hourly/

cat > mapwatch <<EOF
/usr/sbin/tmpwatch -f 2 /var/www/html/map/images/
EOF

cat > 41_mapserver.conf <<EOF
#protect mapserver against downloads
<Directory /var/www/html/map>
    AllowOverride All
    Options -Indexes FollowSymLinks MultiViews ExecCGI
    <IfModule mod_access.c>
         Order allow,deny
         Deny from all
    </IfModule>
</Directory>
<Directory /var/www/html/map/images>
    AllowOverride All
    Options -Indexes FollowSymLinks MultiViews ExecCGI
    <IfModule mod_access.c>
         Order allow,deny
         Allow from all
    </IfModule>
</Directory>
<Directory /var/www/html/map/graphics>
    AllowOverride All
    Options -Indexes FollowSymLinks MultiViews ExecCGI
    <IfModule mod_access.c>
         Order allow,deny
         Allow from all
    </IfModule>
</Directory>
<Location /tiki/files>
    AllowOverride All
    Options -Indexes FollowSymLinks MultiViews ExecCGI
    <IfModule mod_access.c>
         Order allow,deny
         Allow from all
    </IfModule>
    <IfModule mod_mime.c>
         SetHandler default-handler
    </IfModule>
</Location>
EOF

install -m755 41_mapserver.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/
install -m755 mapwatch %{buildroot}%{_sysconfdir}/cron.hourly/
install -m755 world.map %{buildroot}%{webroot}/map
install -m755 data/world/* %{buildroot}%{webroot}/map/data/world/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}/httpd/conf.d/41_mapserver.conf
%{_sysconfdir}/cron.hourly/mapwatch
%attr(755,apache,apache) %{_var}/www/html/map
%doc INSTALL README



%changelog
* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.1-7mdv2010.0
+ Revision: 434384
- rebuild

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1-5mdv2009.0
+ Revision: 261537
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1-4mdv2009.0
+ Revision: 254543
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.1-2mdv2008.1
+ Revision: 128433
- kill re-definition of %%buildroot on Pixel's request
- import tikiwiki-mapdata


* Tue Apr 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.1-2mdk
- fix buildrequires
- don't use prefix tag
- %%mkrel

* Mon Sep 12 2005 Franck Martin <franck@sopac.org> 0.1-1mdk
- First Release

